#include "vision.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {3, 1, 1, 1, 2, 1};
}

int getMove1d(std::vector<int> v)
{
    int vis=(v.size()-1)/2;
    if (vis==1)
    {
        if (v[0]>v[2]) return 0;
        return 2;
    }
    if (vis==2)
    {
        if (v[0] > v[4]) return 0;
        return 4;
    }
    if (vis==3)
    {
        if (v[1] > v[5]) return 6;
        return 0;
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
